Subject: [PATCH v2 0/4] Update python-jmespath to 1.0.0.

From: Felix Gruber <[email-masked]>
Date: Sun, 17 Apr 2022 20:04:18 +0000

Hi Ludo’,

On 4/15/22 19:04, Ludovic Courtès wrote:
> I have some bad news: it seems a few things changed recently (there was
> an update of python-botocore that’s redundant with this one), and I
> cannot get ‘awscli’ to build.
> 
> Could you try to rebase this series and send updated patch?
> 
> I’ll quickly apply it before someone comes and breaks it all.  :-)

Thanks for letting me know. awscli is quite picky about the version of
botocore that it wants. It seems that awscli always pins its
dependencies to the latest botocore release. I've thus changed my patch
to package awscli 1.22.90 instead of 1.22.89, to be compatible with our
current version of python-botocore.

Kind regards,
Felix

Felix Gruber (4):
  gnu: python-jmespath: Update to 1.0.0.
  gnu: awscli: Update to 1.22.90.
  gnu: Remove python-botocore-for-awscli.
  gnu: Remove python-pyyaml-for-awscli.

 gnu/packages/python-web.scm |  6 +++---
 gnu/packages/python-xyz.scm | 30 ++----------------------------
 2 files changed, 5 insertions(+), 31 deletions(-)

-- 
2.35.1